# Header-only library.
%global debug_package %{nil}

Name:           xtl
Version:        0.6.23
Release:        %mkrel 1
License:        BSD
Summary:        QuantStack tools library
Group:          Development/C++
Url:            https://github.com/QuantStack/xtl
Source0:        https://github.com/QuantStack/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
# https://github.com/QuantStack/xtl/issues/97
Patch0001:      0001-Fix-complex-test.patch
BuildArch:      noarch

BuildRequires:  binutils
BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  gtest-devel
BuildRequires:  make
BuildRequires:  cmake(nlohmann_json)
BuildRequires:  python3dist(breathe)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)

%description
Basic tools (containers, algorithms) used by other QuantStack packages.


%package devel
Summary:        %{summary}
Group:          Development/C++
Provides:       xtl-static = %{version}-%{release}
Requires:       json-devel
Requires:       xproperty-devel

%description devel
Development files for %{name} library.

%package doc
Summary:        %{summary}
Group:          Documentation
BuildArch:      noarch

%description doc
Documentation files for %{name} library.

%prep
%autosetup -p1

%build
%cmake -DBUILD_TESTS=ON
%cmake_build

pushd docs
make html SPHINXBUILD=sphinx-build-3
rm build/html/.buildinfo
popd


%install
%cmake_install

%check
pushd build
make xtest
popd

%files devel
%doc README.md
%license LICENSE
%{_includedir}/xtl/
%{_datadir}/cmake/xtl/*.cmake
%{_datadir}/pkgconfig/xtl.pc

%files doc
%doc docs/build/html



%changelog
* Tue Dec 15 2020 joequant <joequant> 0.6.23-1.mga8
+ Revision: 1657591
- update to 0.6.23

* Tue Jul 28 2020 joequant <joequant> 0.6.15-1.mga8
+ Revision: 1609334
- update to 0.6.15 / add requires

* Mon Jun 08 2020 joequant <joequant> 0.6.13-2.mga8
+ Revision: 1590995
- fix to noarch since this is header only

* Mon Jun 08 2020 joequant <joequant> 0.6.13-1.mga8
+ Revision: 1590983
- update to 0.6.13

* Sat Apr 25 2020 joequant <joequant> 0.6.7-3.mga8
+ Revision: 1571790
- move out docs

* Wed Apr 22 2020 joequant <joequant> 0.6.7-2.mga8
+ Revision: 1571124
- remove cmake-filesystem
- add group / rename devel
- imported package xtl

